Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.ps
Class PSSVGHandler.PSInfo

    java.lang.Object
      org.apache.fop.render.ps.PSSVGHandler.PSInfo

Enclosing class:
  PSSVGHandler

    public static class PSSVGHandler.PSInfo

extends java.lang.Object

PostScript information structure for drawing the XML document.

Constructor Summary
`PSSVGHandler.PSInfo()`

Method Summary
`int` | `getCurrentXPosition()` Returns the currentXPosition.
`int` | `getCurrentYPosition()` Returns the currentYPosition.
`FontInfo` | `getFontInfo()` Returns the fontInfo.
`org.apache.avalon.framework.configuration.Configuration` | `getHandlerConfiguration()` Returns the height.
`int` | `getHeight()` Returns the height.
`org.apache.xmlgraphics.ps.PSGenerator` | `getPSGenerator()` Returns the PSGenerator.
`int` | `getWidth()` Returns the width.
`void` | `setCurrentXPosition(int currentXPosition)` Sets the currentXPosition.
`void` | `setCurrentYPosition(int currentYPosition)` Sets the currentYPosition.
`void` | `setFontInfo(FontInfo fontInfo)` Sets the fontInfo.
`void` | `setHandlerConfiguration(org.apache.avalon.framework.configuration.Configuration cfg)` Sets the handler configuration.
`void` | `setHeight(int height)` Sets the height.
`void` | `setPsGenerator(org.apache.xmlgraphics.ps.PSGenerator psGenerator)` Sets the PSGenerator.
`void` | `setWidth(int width)` Sets the width.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PSSVGHandler.PSInfo

    public PSSVGHandler.PSInfo()

Method Detail

### getPSGenerator

    public org.apache.xmlgraphics.ps.PSGenerator getPSGenerator()

  Returns the PSGenerator.

  Returns:
    PSGenerator

### setPsGenerator

    public void setPsGenerator(org.apache.xmlgraphics.ps.PSGenerator psGenerator)

  Sets the PSGenerator.

  Parameters:
    `psGenerator` - The PSGenerator to set

### getFontInfo

    public FontInfo getFontInfo()

  Returns the fontInfo.

  Returns:
    FontInfo

### setFontInfo

    public void setFontInfo(FontInfo fontInfo)

  Sets the fontInfo.

  Parameters:
    `fontInfo` - The fontInfo to set

### getCurrentXPosition

    public int getCurrentXPosition()

  Returns the currentXPosition.

  Returns:
    int

### setCurrentXPosition

    public void setCurrentXPosition(int currentXPosition)

  Sets the currentXPosition.

  Parameters:
    `currentXPosition` - The currentXPosition to set

### getCurrentYPosition

    public int getCurrentYPosition()

  Returns the currentYPosition.

  Returns:
    int

### setCurrentYPosition

    public void setCurrentYPosition(int currentYPosition)

  Sets the currentYPosition.

  Parameters:
    `currentYPosition` - The currentYPosition to set

### getWidth

    public int getWidth()

  Returns the width.

  Returns:
    int

### setWidth

    public void setWidth(int width)

  Sets the width.

  Parameters:
    `width` - The pageWidth to set

### getHeight

    public int getHeight()

  Returns the height.

  Returns:
    int

### setHeight

    public void setHeight(int height)

  Sets the height.

  Parameters:
    `height` - The height to set

### getHandlerConfiguration

    public org.apache.avalon.framework.configuration.Configuration getHandlerConfiguration()

  Returns the height.

  Returns:
    int

### setHandlerConfiguration

    public void setHandlerConfiguration(org.apache.avalon.framework.configuration.Configuration cfg)

  Sets the handler configuration.

  Parameters:
    `cfg` - the configuration object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.